// Sensor pod for the tachometer, holds IR LED and the IR photodiode.

// By Nenad Rijavec
// Feel free to use, share, modify, etc. as you see fit.

// LED mockup
module ir_led()
{
	difference() {
		union() {
			cylinder( 1.5, d=6.5, $fn=100 ) ;
			cylinder( 7.99, d=5.5, $fn=100 ) ;
			translate( [ 0, 0, 8 ] ) 
				sphere( d=5.5, $fn=100 ) ;
		}
		translate( [ 2.5, -5, -1 ] ) cube( [ 5, 10, 15 ] ) ;
	}
}

module ir_led_housing( h, ir_holes = 1) 
{
	delta = ir_holes * 0 ;
	difference() {
		hull() { 
			cylinder( h, d=9-delta, $fn=100 ) ;
			translate( [ 7, 0, 0 ] )
				cylinder( h, d=9-delta, $fn=100 ) ;
		}
		union() {
			if  ( ir_holes ) {
				translate( [ 0, 0, -0.1 ] )
					ir_led() ;
				translate( [ 7, 0, -0.1 ] )
				rotate( [ 0, 0, 180 ] )
					ir_led() ;
				translate( [ -6, -10, 1.5 ] ) 
					cube( [ 3.5, 20, 4 ] ) ;
				translate( [ 8.5/2+7-1.75, -10, 1.5 ] ) 
					cube( [ 4, 20, 4 ] ) ;
			} else {
				translate( [ -6, -10, 3 ] ) 
					cube( [ 3, 20, 2 ] ) ;
				translate( [ 8.5/2+7-1, -10, 3 ] ) 
					cube( [ 3, 20, 2 ] ) ;
			}
		}
	}
}

module sensor_pod_knockout( h ) 
{
	 ir_led_housing( h, 0 ) ;
}

h = 8.5 ;
translate( [ 0, 0, h ] ) rotate( [ 180, 0, 0 ] ) ir_led_housing( h, 1 ) ;

// nenad me fecit
